Page 1 of 1

VxB not loaded, license expired?

Posted: Wed 13. Aug 2014, 17:04
by Agamemnon71
Hi!

When trying to start my own program on a Win7 computer I get this error from the CanApi2?

It works on a old XP computer. On the Win7 I have installed drivers and can use CanView to connect to the CAN-USB unit I have installed. I do not have CAN-View running when I run my own program.

Any idea on why I get this cryptic message? What is VxB in this context and what license is it that has expired??


thanks in advance - Michael

Re: VxB not loaded, license expired?

Posted: Thu 14. Aug 2014, 09:45
by M.Maidhof
Hi,

please send us an email (support[at]peak-system.com) with the serialnumber of your PCAN-Developer package. It will also be helpfull to check which version of the canapi2.dll you have installed on your system.

best regards

Michael

Re: VxB not loaded, license expired?

Posted: Mon 25. Aug 2014, 16:32
by Agamemnon71
Hi again!

The first fault was that our old WinXP software suite was not compatible with Win7 so a new license has been purchased :roll:

But, we still get an error code 0x200h (Driver not loaded)? :|

What we have done:

* We removed all previous PEAK software from the computer.
* We installed a driver (PeakOemDrv.exe from PCAN-USB package)
* We installed PCAN-Developer 3 from the disc
* We used Netcfg32.exe to set up two new net on our PCAN-USB (same setup as the old winXP installation)
* We can see the traffic on the CAN bus using PCAN-View, no problems there
* We then compile and run the "API Samples\Visual C++ - CLR (VS 2005)\Initialization" project and run it and get an error

In debug mode we step through the process of register and from CanApi2::RegisterClient we get a 512 (0x200h) as an errorcode.

Any ideas? It's a bit confusing that we can use the PCAN-USB with PCAN-View, but not the example program?

br, Michael

Re: VxB not loaded, license expired?

Posted: Tue 26. Aug 2014, 09:29
by U.Wilhelm
Hi,
please send us an email (support[at]peak-system.com) with the serialnumber of your PCAN-Developer package. It will also be helpfull to check which version of the canapi2.dll you have installed on your system.

Regards

Uwe